Skip to main content
Retrieve sub-applications for the root application provided in the authentication token.
curl --request GET \
  --url https://api.yapily.com/applications \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.yapily.com/applications"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.yapily.com/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
    "count": 1,
    "pagination": {
      "offset": 0,
      "limit": 1,
      "totalCount": 1
    }
  },
  "data": [
    {
      "id": "2698db90-6635-4f76-b673-5ce8e2aeda0e",
      "name": "Merchant Uno",
      "merchantCategoryCode": 7995,
      "ppcUserGroup": "WHOLESALE_FI_FI",
      "callbackUrls": [
        "https://www.callback-service.com"
      ],
      "isContractPresent": true,
      "rootApplicationId": "eb25e1ee-f6af-4131-92fe-748e177bf950"
    }
  ]
}
{
"errors": [
{
"fieldName": "<string>"
}
]
}
{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}
{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "INVALID_PROPERTY_UNEXPECTED_VALUE",
"parameter": "$.payer.accountidentifications.type",
"message": "Type Should be one of [PAN, SORT_CODE, ACCOUNT_NUMBER]",
"institutionError": {
"errorMessage": "{\"Code\":\"400 BadRequest\",\"Id\":\"3517bfc2-c3ee-4f2f-b4f8-12f62478e0d1\",\"Message\":\"No Resource found\",\"Errors\":[{\"ErrorCode\":\"UK.OBIE.Resource.NotFound\",\"Message\":\"No resource found corresponding to the consent id\"}]}",
"httpStatusCode": 400
}
}
]
}
}
{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "INVALID_PROPERTY_UNEXPECTED_VALUE",
"parameter": "$.payer.accountidentifications.type",
"message": "Type Should be one of [PAN, SORT_CODE, ACCOUNT_NUMBER]",
"institutionError": {
"errorMessage": "{\"Code\":\"400 BadRequest\",\"Id\":\"3517bfc2-c3ee-4f2f-b4f8-12f62478e0d1\",\"Message\":\"No Resource found\",\"Errors\":[{\"ErrorCode\":\"UK.OBIE.Resource.NotFound\",\"Message\":\"No resource found corresponding to the consent id\"}]}",
"httpStatusCode": 400
}
}
]
}
}

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.

Query Parameters

publicFilterValues
object

Response

The sub-applications that are returned as part of the search results.

meta
object
data
object[]